/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package com.sun.enterprise.management.monitor;

import com.sun.enterprise.management.support.DottedNamesBase;
	
import com.sun.appserv.management.base.DottedNames;
import com.sun.appserv.management.base.AMX;
import com.sun.appserv.management.util.misc.StringUtil;

import com.sun.appserv.management.monitor.MonitoringDottedNames;

public final class MonitoringDottedNamesImpl  extends DottedNamesBase
	implements DottedNames
{
		public
	MonitoringDottedNamesImpl( )
	{
	}
	
		
		public String
	getGroup()
	{
		return( AMX.GROUP_MONITORING );
	}
	
		public Object[]
	dottedNameGet( String[] names )
	{
		return( getOldDottedNames().dottedNameMonitoringGet( names ) );
	}
	
		public Object
	dottedNameGet( String name )
	{
		return( getOldDottedNames().dottedNameMonitoringGet( name ) );
	}
	
		public Object[]
	dottedNameList( String[] names )
	{
		return( getOldDottedNames().dottedNameMonitoringList( names ) );
	}
	
		public Object[]
	dottedNameSet( String[] nameValuePairs )
	{
		throw new IllegalArgumentException( StringUtil.toString( nameValuePairs ) );
	}
	
		protected final boolean
	isWriteableDottedName( String name )
	{
		return( false );
	}
}

